<!DOCTYPE html>

<html>
<head>
<meta charset="UTF-8">

<title>class CreateActiveStorageTables - RDoc Documentation</title>

<script type="text/javascript">
  var rdoc_rel_prefix = "./";
  var index_rel_prefix = "./";
</script>

<script src="./js/jquery.js"></script>
<script src="./js/darkfish.js"></script>

<link href="./css/fonts.css" rel="stylesheet">
<link href="./css/rdoc.css" rel="stylesheet">



<body id="top" role="document" class="class">
<nav role="navigation">
  <div id="project-navigation">
    <div id="home-section" role="region" title="Quick navigation" class="nav-section">
  <h2>
    <a href="./index.html" rel="home">Home</a>
  </h2>

  <div id="table-of-contents-navigation">
    <a href="./table_of_contents.html#pages">Pages</a>
    <a href="./table_of_contents.html#classes">Classes</a>
    <a href="./table_of_contents.html#methods">Methods</a>
  </div>
</div>

    <div id="search-section" role="search" class="project-section initially-hidden">
  <form action="#" method="get" accept-charset="utf-8">
    <div id="search-field-wrapper">
      <input id="search-field" role="combobox" aria-label="Search"
             aria-autocomplete="list" aria-controls="search-results"
             type="text" name="search" placeholder="Search" spellcheck="false"
             title="Type to search, Up and Down to navigate, Enter to load">
    </div>

    <ul id="search-results" aria-label="Search Results"
        aria-busy="false" aria-expanded="false"
        aria-atomic="false" class="initially-hidden"></ul>
  </form>
</div>

  </div>

  

  <div id="class-metadata">
    
    <div id="parent-class-section" class="nav-section">
  <h3>Parent</h3>

  
  <p class="link">ActiveRecord::Migration[5.2]
  
</div>

    
    
    <!-- Method Quickref -->
<div id="method-list-section" class="nav-section">
  <h3>Methods</h3>

  <ul class="link-list" role="directory">
    
    <li ><a href="#method-i-change">#change</a>
    
  </ul>
</div>

  </div>
</nav>

<main role="main" aria-labelledby="class-CreateActiveStorageTables">
  <h1 id="class-CreateActiveStorageTables" class="class">
    class CreateActiveStorageTables
  </h1>

  <section class="description">
    
<p>This migration comes from active_storage (originally 20170806125915)</p>

  </section>

  
  <section id="5Buntitled-5D" class="documentation-section">
    

    

    

    

    
     <section id="public-instance-5Buntitled-5D-method-details" class="method-section">
       <header>
         <h3>Public Instance Methods</h3>
       </header>

    
      <div id="method-i-change" class="method-detail ">
        
        <div class="method-heading">
          <span class="method-name">change</span><span
            class="method-args">()</span>
          
          <span class="method-click-advice">click to toggle source</span>
          
        </div>
        

        <div class="method-description">
          
          
          
          

          
          <div class="method-source-code" id="change-source">
            <pre><span class="ruby-comment"># File spec/dummy/db/migrate/20180709221407_create_active_storage_tables.active_storage.rb, line 3</span>
<span class="ruby-keyword">def</span> <span class="ruby-identifier ruby-title">change</span>
  <span class="ruby-identifier">create_table</span> <span class="ruby-value">:active_storage_blobs</span> <span class="ruby-keyword">do</span> <span class="ruby-operator">|</span><span class="ruby-identifier">t</span><span class="ruby-operator">|</span>
    <span class="ruby-identifier">t</span>.<span class="ruby-identifier">string</span>   <span class="ruby-value">:key</span>,        <span class="ruby-value">null:</span> <span class="ruby-keyword">false</span>
    <span class="ruby-identifier">t</span>.<span class="ruby-identifier">string</span>   <span class="ruby-value">:filename</span>,   <span class="ruby-value">null:</span> <span class="ruby-keyword">false</span>
    <span class="ruby-identifier">t</span>.<span class="ruby-identifier">string</span>   <span class="ruby-value">:content_type</span>
    <span class="ruby-identifier">t</span>.<span class="ruby-identifier">text</span>     <span class="ruby-value">:metadata</span>
    <span class="ruby-identifier">t</span>.<span class="ruby-identifier">bigint</span>   <span class="ruby-value">:byte_size</span>,  <span class="ruby-value">null:</span> <span class="ruby-keyword">false</span>
    <span class="ruby-identifier">t</span>.<span class="ruby-identifier">string</span>   <span class="ruby-value">:checksum</span>,   <span class="ruby-value">null:</span> <span class="ruby-keyword">false</span>
    <span class="ruby-identifier">t</span>.<span class="ruby-identifier">datetime</span> <span class="ruby-value">:created_at</span>, <span class="ruby-value">null:</span> <span class="ruby-keyword">false</span>

    <span class="ruby-identifier">t</span>.<span class="ruby-identifier">index</span> [ <span class="ruby-value">:key</span> ], <span class="ruby-value">unique:</span> <span class="ruby-keyword">true</span>
  <span class="ruby-keyword">end</span>

  <span class="ruby-identifier">create_table</span> <span class="ruby-value">:active_storage_attachments</span> <span class="ruby-keyword">do</span> <span class="ruby-operator">|</span><span class="ruby-identifier">t</span><span class="ruby-operator">|</span>
    <span class="ruby-identifier">t</span>.<span class="ruby-identifier">string</span>     <span class="ruby-value">:name</span>,     <span class="ruby-value">null:</span> <span class="ruby-keyword">false</span>
    <span class="ruby-identifier">t</span>.<span class="ruby-identifier">references</span> <span class="ruby-value">:record</span>,   <span class="ruby-value">null:</span> <span class="ruby-keyword">false</span>, <span class="ruby-value">polymorphic:</span> <span class="ruby-keyword">true</span>, <span class="ruby-value">index:</span> <span class="ruby-keyword">false</span>
    <span class="ruby-identifier">t</span>.<span class="ruby-identifier">references</span> <span class="ruby-value">:blob</span>,     <span class="ruby-value">null:</span> <span class="ruby-keyword">false</span>

    <span class="ruby-identifier">t</span>.<span class="ruby-identifier">datetime</span> <span class="ruby-value">:created_at</span>, <span class="ruby-value">null:</span> <span class="ruby-keyword">false</span>

    <span class="ruby-identifier">t</span>.<span class="ruby-identifier">index</span> [ <span class="ruby-value">:record_type</span>, <span class="ruby-value">:record_id</span>, <span class="ruby-value">:name</span>, <span class="ruby-value">:blob_id</span> ], <span class="ruby-value">name:</span> <span class="ruby-string">&quot;index_active_storage_attachments_uniqueness&quot;</span>, <span class="ruby-value">unique:</span> <span class="ruby-keyword">true</span>
  <span class="ruby-keyword">end</span>
<span class="ruby-keyword">end</span></pre>
          </div>
          
        </div>

        

        
      </div>

    
    </section>
  
  </section>
</main>


<footer id="validator-badges" role="contentinfo">
  <p><a href="https://validator.w3.org/check/referer">Validate</a>
  <p>Generated by <a href="https://ruby.github.io/rdoc/">RDoc</a> 6.0.1.
  <p>Based on <a href="http://deveiate.org/projects/Darkfish-RDoc/">Darkfish</a> by <a href="http://deveiate.org">Michael Granger</a>.
</footer>

